Get a full K8s agent manifest

Base URL
https://{kibana_url}
  • GET /api/fleet/kubernetes
Auth

Get the Kubernetes manifest for deploying Elastic Agent.

Required authorization

Privileges fleet-agent-policies-read or fleet-setup

Query parameters

download boolean

If true, returns the manifest as a downloadable file

fleetServer string

Fleet Server host URL to include in the manifest

enrolToken string

Enrollment token to include in the manifest

Responses

Successful response

application/json
item string required

Bad Request

application/json
attributes object required
error string
errorType string
message string required
statusCode number
Base URL
https://{kibana_url}